CDRTool
=======

Copyright (c) 2002-2020 AG Projects
https://ag-projects.com

CDRTool provides a CDR mediation and rating engine for Call Details Records
generated by OpenSIPS SIP Proxy/Registrar/Presence server.

CDRTool is a simple to use WEB application, which can be put in service with
minimal training of the helpdesk and operations staff. It provides instant
access to SIP usage information, traces from CDR level to protocol level,
statistics grouped by criteria like release cause, destination or billing
parties and can help pin-point SIP call flows failure reason.

CDRTool provides accurate accounting for call detail records generated by
OpenSIPS when used in combination with MediaProxy regardless of the
availability of BYE messages.

CDRTool provides an anti-fraud mechanism for OpenSIPS by blocking SIP
susbcribers that exceed a predefined monthly quota.

CDRTool rating functions are available from the network over a TCP socket
and can be used for both postpaid and prepaid applications. Call Control
prepaid application for OpenSIPS is available to provide session control for
prepaid services.


Target market
-------------

CDRTool is a mature product with several years in production and has been
used in environments with up to tens of millions of CDRs per month.

The main goal of CDRTool is to provide a carrier grade mediation and rating
engine for service providers deploying OpenSIPS as SIP Proxy/Registrar.


Disclaimer
----------

The information provided by CDRTool documentation is not always enough to
successfully complete the installation and deployment of CDRTool. Most of
the configuration tasks are related to setting up components outside CDRTool
environment.

Good knowledge in the configuration of MySQL, FreeRadius, MediaProxy and
OpenSIPS are required to successfully complete a CDRTool installation.


Features
--------

CDRTool allows real-time web access to Call Details Records generated by
OpenSIPS radius accounting and sip trace modules. The information can be
combined with media information logged by MediaProxy while a separate
OpenSIPS module can display complete messages of all SIP messages the enter
and exit the SIP Proxy. CDRs can be filtered and statistics can be built in
real-time to summarize service usage based on various criteria.

Multiple users can share the CDR search criteria and the query results.
Ticket numbers can be linked to sets of Call Details Records. Queries and
results can be replayed later to reproduce an exiting or a previous problem.
This feature allows fast communication and troubleshooting when multiple
departments work together to find a resolution for a problem and communicate
it with the customer.

 * Real-time rating engine for postpaid and prepaid accounting
 * Web and CSV file management for rating tables
 * CDR search with query criteria saved for later use
 * Search results can be grouped by any field available in the CDR
 * Links from CDR level down to SIP trace and Media trace level
 * Multiple data-sources with consistent search and export capabilities
 * Login accounts can restrict access to CDRs per subscriber, domain or gateway
 * Rating based on day of week, time of day, duration, destination and ENUM tree
 * Display ongoing media sessions from MediaProxy
 * Display registered SIP accounts from OpenSIPS
 * Displays SIP trace from sip_trace OpenSIPS module
 * Displays Media trace from MediaProxy media_sesions table
 * Manage prepaid cards and accounts for Call Control
 * Builds graphical usage statistics for SIP platform usage


Data sources
------------

- OpenSIPS
- MediaProxy
- Asterisk

Other data sources that use Radius can be easily ported.


Installation
------------

See INSTALL file.


Using CDRTool
-------------

See USAGE file.

